/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.waveprotocol.wave.client.common.util;

public enum KeyCombo {

  /** These names are self-explanatory... */
  SPACE,

  /***/
  SHIFT_SPACE,

  /***/
  CTRL_SPACE,

  /***/
  CTRL_SHIFT_SPACE,

  /***/
  TAB,

  /***/
  SHIFT_TAB,

  /***/
  UP,

  /***/
  DOWN,

  /***/
  LEFT,

  /***/
  RIGHT,

  /***/
  HOME,

  /***/
  END,

  /***/
  PAGE_UP,

  /***/
  PAGE_DOWN,

  /***/
  ESC,

  /***/
  ENTER,

  /***/
  SHIFT_ENTER,

  /***/
  CTRL_ENTER,

  /***/
  CTRL_EQUALS,

  /***/
  CTRL_R,

  /***/
  CTRL_E,

  /***/
  BACKSPACE,

  /***/
  SHIFT_BACKSPACE,

  /***/
  DELETE,

  /***/
  SHIFT_DELETE,

  /***/
  INSERT,

  /***/
  SHIFT_INSERT,

  /***/
  CTRL_INSERT,

  /***/
  CTRL_B,

  /***/
  CTRL_D,

  /***/
  CTRL_H,

  /***/
  CTRL_I,

  /***/
  CTRL_G,

  /***/
  CTRL_K,

  /***/
  CTRL_U,

  /***/
  CTRL_A,

  /***/
  CTRL_L,

  /***/
  CTRL_W,

  /***/
  CTRL_SHIFT_L,

  /***/
  CTRL_ALT_F,

  /***/
  CTRL_ALT_D,

  /***/
  ORDER_C,

  /***/
  ORDER_X,

  /***/
  ORDER_V,

  /***/
  ORDER_Z,

  /***/
  CTRL_F,

  /***/
  META_LEFT,

  /***/
  META_RIGHT,

  /***/
  META_HOME,

  /***/
  ORDER_O,

  /***/
  ORDER_R,

  /***/
  ORDER_SHIFT_R,

  /***/
  ORDER_SHIFT_V,

  /***/
  ORDER_ALT_SHIFT_V,

  /***/
  ORDER_FULLSTOP,

  /***/
  ORDER_F,

  /***/
  ORDER_G,

  /***/
  ORDER_D,

  /***/
  ORDER_N,

  /***/
  CTRL_O,

  /***/
  ORDER_T,

  /***/
  ORDER_A,

  /***/
  ORDER_P,

  /***/
  CTRL_ALT_G,

  /***/
  CTRL_ALT_S,

  /***/
  ORDER_W,

  /***/
  ORDER_Q,

  /***/
  ORDER_L,

  /***/
  ORDER_K,

  /***/
  ORDER_SHIFT_K,

  /** Formatting combos */
  ORDER_B,

  /***/
  ORDER_U,

  /***/
  ORDER_I,

  /** Shortcuts for Canned response insertion */
  CTRL_SHIFT_1,
  /***/
  CTRL_SHIFT_2,
  /***/
  CTRL_SHIFT_3,
  /***/
  CTRL_SHIFT_5,
  /***/
  ORDER_SHIFT_5,

  OTHER,
}
